# Get user by ID (superuser) | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Get user by ID (superuser)

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /superuser/user

## Operation

Operation ID: `getSuperuserUser`

Get detailed user information by user ID

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
user_id | query | no | integer |

## Responses

Status | Description | Content Types
--- | --- | ---
200 | User retrieved successfully | application/json
404 |  |

Schema for response `200` (`application/json`):

{ "$ref": "#/components/schemas/User" }
17 March 2026